## Export Manager module

The Export Manager module provides Form Tools with one of its more important features: the ability to view and export your form submission data in any way you wish. Since it's such a fundamental feature, this module comes pre-installed with all (pre-bundled) Form Tools installations, letting you get to work without any additional configuration required. The screenshot to the right is of the 2.0.0 version of this module, but the functionality has remained largely the same since its first release.

In new installations, the module provides two ways to download / view your form submissions: as an Excel spreadsheet or in an HTML printer-friendly format, which has three sub-options: table format, one-by-one and one submission per page. There are also two other export methods, hidden by default: CSV (comma separated values) and XML. Depending on your needs, these can be enabled by the click of a button. But most significantly, once you learn how the module works, you can construct whatever other formats you need.

The Export Manager, used in conjunction with the Core Views feature, acts as a fully fledged Report Builder, letting you view and export whatever subset of the form data you require. You also have the option to only show the export formats for particular clients, particular subsets of your data, and particular forms and Views (version 2.0.0 of the module and later only). It's VERY powerful!

For more information, read the documentation.


### Documentation

- [https://docs.formtools.org/modules/export_manager/](https://docs.formtools.org/modules/export_manager/)


### Other Links

- [Available Form Tools modules](https://modules.formtools.org/)
- [About Form Tools modules](https://docs.formtools.org/userdoc/modules/) 
- [Installation instructions](https://docs.formtools.org/userdoc/modules/installing/)
- [Upgrading](https://docs.formtools.org/userdoc/modules/upgrading/)
