<?php

$STRUCTURE = array();
$STRUCTURE["tables"] = array();
$STRUCTURE["tables"]["module_swift_mailer_email_template_fields"] = array(
    array(
        "Field"   => "email_template_id",
        "Type"    => "mediumint(9)",
        "Null"    => "NO",
        "Key"     => "PRI",
        "Default" => ""
    ),
    array(
        "Field"   => "return_path",
        "Type"    => "varchar(255)",
        "Null"    => "NO",
        "Key"     => "",
        "Default" => ""
    )
);

$HOOKS = array(
    array(
        "hook_type"       => "template",
        "action_location" => "edit_template_tab2",
        "function_name"   => "",
        "hook_function"   => "swift_display_extra_fields_tab2",
        "priority"        => "50"
    ),
    array(
        "hook_type"       => "code",
        "action_location" => "end",
        "function_name"   => "ft_create_blank_email_template",
        "hook_function"   => "swift_map_email_template_field",
        "priority"        => "50"
    ),
    array(
        "hook_type"       => "code",
        "action_location" => "end",
        "function_name"   => "ft_delete_email_template",
        "hook_function"   => "swift_delete_email_template_field",
        "priority"        => "50"
    ),
    array(
        "hook_type"       => "code",
        "action_location" => "end",
        "function_name"   => "ft_update_email_template",
        "hook_function"   => "swift_update_email_template_append_extra_fields",
        "priority"        => "50"
    ),
    array(
        "hook_type"       => "code",
        "action_location" => "end",
        "function_name"   => "ft_get_email_template",
        "hook_function"   => "swift_get_email_template_append_extra_fields",
        "priority"        => "50"
    )
);

$FILES = array(
    "LICENSE",
    "README.md",
    "actions.php",
    "code/Module.class.php",
    "composer.json",
    "help.php",
    "images/icon_swift_mailer.gif",
    "index.php",
    "lang/en_us.php",
    "library.php",
    "module_config.php",
    "tab_settings.php",
    "tab_test.php",
    "templates/help.tpl",
    "templates/index.tpl",
    "templates/tab_settings.tpl",
    "templates/tab_test.tpl",
    "vendor/autoload.php",
    "vendor/composer/ClassLoader.php",
    "vendor/composer/LICENSE",
    "vendor/composer/autoload_classmap.php",
    "vendor/composer/autoload_files.php",
    "vendor/composer/autoload_namespaces.php",
    "vendor/composer/autoload_psr4.php",
    "vendor/composer/autoload_real.php",
    "vendor/composer/autoload_static.php",
    "vendor/composer/installed.json",
    "vendor/swiftmailer/swiftmailer/CHANGES",
    "vendor/swiftmailer/swiftmailer/LICENSE",
    "vendor/swiftmailer/swiftmailer/README",
    "vendor/swiftmailer/swiftmailer/VERSION",
    "vendor/swiftmailer/swiftmailer/composer.json",
    "vendor/swiftmailer/swiftmailer/doc/headers.rst",
    "vendor/swiftmailer/swiftmailer/doc/help-resources.rst",
    "vendor/swiftmailer/swiftmailer/doc/including-the-files.rst",
    "vendor/swiftmailer/swiftmailer/doc/index.rst",
    "vendor/swiftmailer/swiftmailer/doc/installing.rst",
    "vendor/swiftmailer/swiftmailer/doc/introduction.rst",
    "vendor/swiftmailer/swiftmailer/doc/japanese.rst",
    "vendor/swiftmailer/swiftmailer/doc/messages.rst",
    "vendor/swiftmailer/swiftmailer/doc/overview.rst",
    "vendor/swiftmailer/swiftmailer/doc/plugins.rst",
    "vendor/swiftmailer/swiftmailer/doc/sending.rst",
    "vendor/swiftmailer/swiftmailer/doc/uml/Encoders.graffle",
    "vendor/swiftmailer/swiftmailer/doc/uml/Mime.graffle",
    "vendor/swiftmailer/swiftmailer/doc/uml/Transports.graffle",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Attachment.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/ByteStream/AbstractFilterableInputStream.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/ByteStream/ArrayByteStream.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/ByteStream/FileByteStream.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/ByteStream/TemporaryFileByteStream.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/CharacterReader.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/CharacterReader/GenericFixedWidthReader.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/CharacterReader/UsAsciiReader.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/CharacterReader/Utf8Reader.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/CharacterReaderFactory.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/CharacterReaderFactory/SimpleCharacterReaderFactory.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/CharacterStream.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/CharacterStream/ArrayCharacterStream.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/CharacterStream/NgCharacterStream.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/ConfigurableSpool.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/DependencyContainer.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/DependencyException.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/EmbeddedFile.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Encoder.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Encoder/Base64Encoder.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Encoder/QpEncoder.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Encoder/Rfc2231Encoder.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Encoding.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Events/CommandEvent.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Events/CommandListener.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Events/Event.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Events/EventDispatcher.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Events/EventListener.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Events/EventObject.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Events/ResponseEvent.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Events/ResponseListener.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Events/SendEvent.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Events/SendListener.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Events/SimpleEventDispatcher.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Events/TransportChangeEvent.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Events/TransportChangeListener.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Events/TransportExceptionEvent.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Events/TransportExceptionListener.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/FailoverTransport.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/FileSpool.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/FileStream.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Filterable.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Image.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/InputByteStream.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/IoException.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/KeyCache.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/KeyCache/ArrayKeyCache.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/KeyCache/DiskKeyCache.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/KeyCache/KeyCacheInputStream.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/KeyCache/NullKeyCache.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/KeyCache/SimpleKeyCacheInputStream.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/LoadBalancedTransport.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/MailTransport.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Mailer.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Mailer/ArrayRecipientIterator.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Mailer/RecipientIterator.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/MemorySpool.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Message.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Mime/Attachment.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Mime/CharsetObserver.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Mime/ContentEncoder.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Mime/ContentEncoder/Base64ContentEncoder.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Mime/ContentEncoder/NativeQpContentEncoder.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Mime/ContentEncoder/PlainContentEncoder.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Mime/ContentEncoder/QpContentEncoder.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Mime/ContentEncoder/QpContentEncoderProxy.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Mime/ContentEncoder/RawContentEncoder.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Mime/EmbeddedFile.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Mime/EncodingObserver.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Mime/Grammar.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Mime/Header.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Mime/HeaderEncoder.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Mime/HeaderEncoder/Base64HeaderEncoder.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Mime/HeaderEncoder/QpHeaderEncoder.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Mime/HeaderFactory.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Mime/HeaderSet.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Mime/Headers/AbstractHeader.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Mime/Headers/DateHeader.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Mime/Headers/IdentificationHeader.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Mime/Headers/MailboxHeader.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Mime/Headers/OpenDKIMHeader.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Mime/Headers/ParameterizedHeader.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Mime/Headers/PathHeader.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Mime/Headers/UnstructuredHeader.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Mime/Message.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Mime/MimeEntity.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Mime/MimePart.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Mime/ParameterizedHeader.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Mime/SimpleHeaderFactory.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Mime/SimpleHeaderSet.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Mime/SimpleMessage.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Mime/SimpleMimeEntity.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/MimePart.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/NullTransport.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/OutputByteStream.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Plugins/AntiFloodPlugin.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Plugins/BandwidthMonitorPlugin.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Plugins/Decorator/Replacements.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Plugins/DecoratorPlugin.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Plugins/ImpersonatePlugin.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Plugins/Logger.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Plugins/LoggerPlugin.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Plugins/Loggers/ArrayLogger.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Plugins/Loggers/EchoLogger.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Plugins/MessageLogger.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Plugins/Pop/Pop3Connection.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Plugins/Pop/Pop3Exception.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Plugins/PopBeforeSmtpPlugin.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Plugins/RedirectingPlugin.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Plugins/Reporter.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Plugins/ReporterPlugin.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Plugins/Reporters/HitReporter.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Plugins/Reporters/HtmlReporter.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Plugins/Sleeper.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Plugins/ThrottlerPlugin.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Plugins/Timer.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Preferences.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/ReplacementFilterFactory.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/RfcComplianceException.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/SendmailTransport.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/SignedMessage.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Signer.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Signers/BodySigner.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Signers/DKIMSigner.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Signers/DomainKeySigner.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Signers/HeaderSigner.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Signers/OpenDKIMSigner.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Signers/SMimeSigner.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/SmtpTransport.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Spool.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/SpoolTransport.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/StreamFilter.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/StreamFilters/ByteArrayReplacementFilter.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/StreamFilters/StringReplacementFilter.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/StreamFilters/StringReplacementFilterFactory.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/SwiftException.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Transport.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Transport/AbstractSmtpTransport.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Transport/Esmtp/Auth/CramMd5Authenticator.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Transport/Esmtp/Auth/LoginAuthenticator.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Transport/Esmtp/Auth/NTLMAuthenticator.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Transport/Esmtp/Auth/PlainAuthenticator.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Transport/Esmtp/Auth/XOAuth2Authenticator.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Transport/Esmtp/AuthHandler.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Transport/Esmtp/Authenticator.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Transport/EsmtpHandler.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Transport/EsmtpTransport.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Transport/FailoverTransport.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Transport/IoBuffer.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Transport/LoadBalancedTransport.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Transport/MailInvoker.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Transport/MailTransport.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Transport/NullTransport.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Transport/SendmailTransport.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Transport/SimpleMailInvoker.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Transport/SmtpAgent.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Transport/SpoolTransport.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Transport/StreamBuffer.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/TransportException.php",
    "vendor/swiftmailer/swiftmailer/lib/classes/Swift/Validate.php",
    "vendor/swiftmailer/swiftmailer/lib/dependency_maps/cache_deps.php",
    "vendor/swiftmailer/swiftmailer/lib/dependency_maps/message_deps.php",
    "vendor/swiftmailer/swiftmailer/lib/dependency_maps/mime_deps.php",
    "vendor/swiftmailer/swiftmailer/lib/dependency_maps/transport_deps.php",
    "vendor/swiftmailer/swiftmailer/lib/mime_types.php",
    "vendor/swiftmailer/swiftmailer/lib/preferences.php",
    "vendor/swiftmailer/swiftmailer/lib/swift_init.php",
    "vendor/swiftmailer/swiftmailer/lib/swift_required.php",
    "vendor/swiftmailer/swiftmailer/lib/swift_required_pear.php",
    "vendor/swiftmailer/swiftmailer/lib/swiftmailer_generate_mimes_config.php",
    "vendor/swiftmailer/swiftmailer/phpunit.xml.dist",
    "vendor/swiftmailer/swiftmailer/tests/IdenticalBinaryConstraint.php",
    "vendor/swiftmailer/swiftmailer/tests/StreamCollector.php",
    "vendor/swiftmailer/swiftmailer/tests/SwiftMailerSmokeTestCase.php",
    "vendor/swiftmailer/swiftmailer/tests/SwiftMailerTestCase.php",
    "vendor/swiftmailer/swiftmailer/tests/_samples/charsets/iso-2022-jp/one.txt",
    "vendor/swiftmailer/swiftmailer/tests/_samples/charsets/iso-8859-1/one.txt",
    "vendor/swiftmailer/swiftmailer/tests/_samples/charsets/utf-8/one.txt",
    "vendor/swiftmailer/swiftmailer/tests/_samples/charsets/utf-8/three.txt",
    "vendor/swiftmailer/swiftmailer/tests/_samples/charsets/utf-8/two.txt",
    "vendor/swiftmailer/swiftmailer/tests/_samples/dkim/dkim.test.priv",
    "vendor/swiftmailer/swiftmailer/tests/_samples/dkim/dkim.test.pub",
    "vendor/swiftmailer/swiftmailer/tests/_samples/files/data.txt",
    "vendor/swiftmailer/swiftmailer/tests/_samples/files/swiftmailer.png",
    "vendor/swiftmailer/swiftmailer/tests/_samples/files/textfile.zip",
    "vendor/swiftmailer/swiftmailer/tests/_samples/smime/CA.srl",
    "vendor/swiftmailer/swiftmailer/tests/_samples/smime/ca.crt",
    "vendor/swiftmailer/swiftmailer/tests/_samples/smime/ca.key",
    "vendor/swiftmailer/swiftmailer/tests/_samples/smime/create-cert.sh",
    "vendor/swiftmailer/swiftmailer/tests/_samples/smime/encrypt.crt",
    "vendor/swiftmailer/swiftmailer/tests/_samples/smime/encrypt.key",
    "vendor/swiftmailer/swiftmailer/tests/_samples/smime/encrypt2.crt",
    "vendor/swiftmailer/swiftmailer/tests/_samples/smime/encrypt2.key",
    "vendor/swiftmailer/swiftmailer/tests/_samples/smime/intermediate.crt",
    "vendor/swiftmailer/swiftmailer/tests/_samples/smime/intermediate.key",
    "vendor/swiftmailer/swiftmailer/tests/_samples/smime/sign.crt",
    "vendor/swiftmailer/swiftmailer/tests/_samples/smime/sign.key",
    "vendor/swiftmailer/swiftmailer/tests/_samples/smime/sign2.crt",
    "vendor/swiftmailer/swiftmailer/tests/_samples/smime/sign2.key",
    "vendor/swiftmailer/swiftmailer/tests/acceptance.conf.php.default",
    "vendor/swiftmailer/swiftmailer/tests/acceptance/Swift/AttachmentAcceptanceTest.php",
    "vendor/swiftmailer/swiftmailer/tests/acceptance/Swift/ByteStream/FileByteStreamAcceptanceTest.php",
    "vendor/swiftmailer/swiftmailer/tests/acceptance/Swift/CharacterReaderFactory/SimpleCharacterReaderFactoryAcceptanceTest.php",
    "vendor/swiftmailer/swiftmailer/tests/acceptance/Swift/DependencyContainerAcceptanceTest.php",
    "vendor/swiftmailer/swiftmailer/tests/acceptance/Swift/EmbeddedFileAcceptanceTest.php",
    "vendor/swiftmailer/swiftmailer/tests/acceptance/Swift/Encoder/Base64EncoderAcceptanceTest.php",
    "vendor/swiftmailer/swiftmailer/tests/acceptance/Swift/Encoder/QpEncoderAcceptanceTest.php",
    "vendor/swiftmailer/swiftmailer/tests/acceptance/Swift/Encoder/Rfc2231EncoderAcceptanceTest.php",
    "vendor/swiftmailer/swiftmailer/tests/acceptance/Swift/EncodingAcceptanceTest.php",
    "vendor/swiftmailer/swiftmailer/tests/acceptance/Swift/KeyCache/ArrayKeyCacheAcceptanceTest.php",
    "vendor/swiftmailer/swiftmailer/tests/acceptance/Swift/KeyCache/DiskKeyCacheAcceptanceTest.php",
    "vendor/swiftmailer/swiftmailer/tests/acceptance/Swift/MessageAcceptanceTest.php",
    "vendor/swiftmailer/swiftmailer/tests/acceptance/Swift/Mime/AttachmentAcceptanceTest.php",
    "vendor/swiftmailer/swiftmailer/tests/acceptance/Swift/Mime/ContentEncoder/Base64ContentEncoderAcceptanceTest.php",
    "vendor/swiftmailer/swiftmailer/tests/acceptance/Swift/Mime/ContentEncoder/NativeQpContentEncoderAcceptanceTest.php",
    "vendor/swiftmailer/swiftmailer/tests/acceptance/Swift/Mime/ContentEncoder/PlainContentEncoderAcceptanceTest.php",
    "vendor/swiftmailer/swiftmailer/tests/acceptance/Swift/Mime/ContentEncoder/QpContentEncoderAcceptanceTest.php",
    "vendor/swiftmailer/swiftmailer/tests/acceptance/Swift/Mime/EmbeddedFileAcceptanceTest.php",
    "vendor/swiftmailer/swiftmailer/tests/acceptance/Swift/Mime/HeaderEncoder/Base64HeaderEncoderAcceptanceTest.php",
    "vendor/swiftmailer/swiftmailer/tests/acceptance/Swift/Mime/MimePartAcceptanceTest.php",
    "vendor/swiftmailer/swiftmailer/tests/acceptance/Swift/Mime/SimpleMessageAcceptanceTest.php",
    "vendor/swiftmailer/swiftmailer/tests/acceptance/Swift/MimePartAcceptanceTest.php",
    "vendor/swiftmailer/swiftmailer/tests/acceptance/Swift/Transport/StreamBuffer/AbstractStreamBufferAcceptanceTest.php",
    "vendor/swiftmailer/swiftmailer/tests/acceptance/Swift/Transport/StreamBuffer/BasicSocketAcceptanceTest.php",
    "vendor/swiftmailer/swiftmailer/tests/acceptance/Swift/Transport/StreamBuffer/ProcessAcceptanceTest.php",
    "vendor/swiftmailer/swiftmailer/tests/acceptance/Swift/Transport/StreamBuffer/SocketTimeoutTest.php",
    "vendor/swiftmailer/swiftmailer/tests/acceptance/Swift/Transport/StreamBuffer/SslSocketAcceptanceTest.php",
    "vendor/swiftmailer/swiftmailer/tests/acceptance/Swift/Transport/StreamBuffer/TlsSocketAcceptanceTest.php",
    "vendor/swiftmailer/swiftmailer/tests/bootstrap.php",
    "vendor/swiftmailer/swiftmailer/tests/bug/Swift/Bug111Test.php",
    "vendor/swiftmailer/swiftmailer/tests/bug/Swift/Bug118Test.php",
    "vendor/swiftmailer/swiftmailer/tests/bug/Swift/Bug206Test.php",
    "vendor/swiftmailer/swiftmailer/tests/bug/Swift/Bug274Test.php",
    "vendor/swiftmailer/swiftmailer/tests/bug/Swift/Bug34Test.php",
    "vendor/swiftmailer/swiftmailer/tests/bug/Swift/Bug35Test.php",
    "vendor/swiftmailer/swiftmailer/tests/bug/Swift/Bug38Test.php",
    "vendor/swiftmailer/swiftmailer/tests/bug/Swift/Bug518Test.php",
    "vendor/swiftmailer/swiftmailer/tests/bug/Swift/Bug51Test.php",
    "vendor/swiftmailer/swiftmailer/tests/bug/Swift/Bug534Test.php",
    "vendor/swiftmailer/swiftmailer/tests/bug/Swift/Bug650Test.php",
    "vendor/swiftmailer/swiftmailer/tests/bug/Swift/Bug71Test.php",
    "vendor/swiftmailer/swiftmailer/tests/bug/Swift/Bug76Test.php",
    "vendor/swiftmailer/swiftmailer/tests/bug/Swift/BugFileByteStreamConsecutiveReadCallsTest.php",
    "vendor/swiftmailer/swiftmailer/tests/fixtures/MimeEntityFixture.php",
    "vendor/swiftmailer/swiftmailer/tests/smoke.conf.php.default",
    "vendor/swiftmailer/swiftmailer/tests/smoke/Swift/Smoke/AttachmentSmokeTest.php",
    "vendor/swiftmailer/swiftmailer/tests/smoke/Swift/Smoke/BasicSmokeTest.php",
    "vendor/swiftmailer/swiftmailer/tests/smoke/Swift/Smoke/HtmlWithAttachmentSmokeTest.php",
    "vendor/swiftmailer/swiftmailer/tests/smoke/Swift/Smoke/InternationalSmokeTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/ByteStream/ArrayByteStreamTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/CharacterReader/GenericFixedWidthReaderTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/CharacterReader/UsAsciiReaderTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/CharacterReader/Utf8ReaderTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/CharacterStream/ArrayCharacterStreamTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/DependencyContainerTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Encoder/Base64EncoderTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Encoder/QpEncoderTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Encoder/Rfc2231EncoderTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Events/CommandEventTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Events/EventObjectTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Events/ResponseEventTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Events/SendEventTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Events/SimpleEventDispatcherTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Events/TransportChangeEventTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Events/TransportExceptionEventTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/KeyCache/ArrayKeyCacheTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/KeyCache/SimpleKeyCacheInputStreamTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Mailer/ArrayRecipientIteratorTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/MailerTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/MessageTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Mime/AbstractMimeEntityTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Mime/AttachmentTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Mime/ContentEncoder/Base64ContentEncoderTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Mime/ContentEncoder/PlainContentEncoderTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Mime/ContentEncoder/QpContentEncoderTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Mime/EmbeddedFileTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Mime/HeaderEncoder/Base64HeaderEncoderTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Mime/HeaderEncoder/QpHeaderEncoderTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Mime/Headers/DateHeaderTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Mime/Headers/IdentificationHeaderTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Mime/Headers/MailboxHeaderTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Mime/Headers/ParameterizedHeaderTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Mime/Headers/PathHeaderTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Mime/Headers/UnstructuredHeaderTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Mime/MimePartTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Mime/SimpleHeaderFactoryTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Mime/SimpleHeaderSetTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Mime/SimpleMessageTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Mime/SimpleMimeEntityTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Plugins/AntiFloodPluginTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Plugins/BandwidthMonitorPluginTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Plugins/DecoratorPluginTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Plugins/LoggerPluginTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Plugins/Loggers/ArrayLoggerTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Plugins/Loggers/EchoLoggerTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Plugins/PopBeforeSmtpPluginTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Plugins/RedirectingPluginTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Plugins/ReporterPluginTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Plugins/Reporters/HitReporterTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Plugins/Reporters/HtmlReporterTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Plugins/ThrottlerPluginTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Signers/DKIMSignerTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Signers/OpenDKIMSignerTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Signers/SMimeSignerTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/StreamFilters/ByteArrayReplacementFilterTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/StreamFilters/StringReplacementFilterFactoryTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/StreamFilters/StringReplacementFilterTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Transport/AbstractSmtpEventSupportTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Transport/AbstractSmtpTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Transport/Esmtp/Auth/CramMd5AuthenticatorTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Transport/Esmtp/Auth/LoginAuthenticatorTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Transport/Esmtp/Auth/NTLMAuthenticatorTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Transport/Esmtp/Auth/PlainAuthenticatorTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Transport/Esmtp/AuthHandlerTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Transport/EsmtpTransport/ExtensionSupportTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Transport/EsmtpTransportTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Transport/FailoverTransportTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Transport/LoadBalancedTransportTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Transport/MailTransportTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Transport/SendmailTransportTest.php",
    "vendor/swiftmailer/swiftmailer/tests/unit/Swift/Transport/StreamBufferTest.php"
);
